/*!
 *  @file       AnticipatoryModel.h
 *  @brief      Documentation of the library.
 */

/*!

@mainpage   Anticipatory Dynamics Library

@authors     Ioannis Karamouzas, Brian Skinner, and Stephen J. Guy

An easy-to-use C++ implementation of the Anticipatory Force Model. <br>
All rights are retained by the authors and the University of Minnesota. <br>
Please contact sjguy@cs.umn.edu for licensing inquiries.<br>

See the documentation of the TTC::SimulationEngine class for a list of public functions of the library, and the TTC::Agent::computeForces() function for the anticipatory forces exerted on each agent as explained in the Supplemental Material. <br>
The library is accompanied by one example simulation of 10 agents positioned along the circumference of a circle and having to walk to their antipodal positions. Refer to Example.cpp for details. 
*/


